List secret variables
Lists secret variables filtered by scope_type (and optional space).
GET
/api/secret-variablesRequest
curl
curl -X GET https://trickest.io/api/secret-variables \
-H "Authorization: Bearer $TRICKEST_TOKEN"Responses
200List of secret variables
successboolean400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.